<div class="btnAcrossPageName">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW'
             nz-button
             (click)='openAddModal()'
             *ngIf="objFunction?.edit"
             mbButtonText="{{'staffManager.recruit.action.addNew' | translate}}"></mb-button>
</div>

<div class="content__item content__item--border bg__content--default" (keyup.enter)="doSearch(1)">
  <search-form-categories #searchForm></search-form-categories>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>


<div class="search__result">
  <mb-table-wrap>
    <mb-table
      (changePageNum)="doSearch($event)"
      [tableConfig]="tableConfig"
      [tableData]="searchResult"
      (onDblClickNode)="onOpenDetail($event)"
    >
    </mb-table>
  </mb-table-wrap>
</div>

<ng-template #actionTmpl let-schoolId='schoolId'>
  <div class="btnWrap">
    <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
               (click)='onOpenEdit(schoolId)'
               *ngIf="objFunction?.edit"
               nz-tooltip nzTooltipTitle="{{'staffManager.recruit.action.edit' | translate}}"></mb-button>
    <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME"
               (click)="deleteById(schoolId)"
               *ngIf="objFunction?.delete"
               nz-tooltip nzTooltipTitle="{{'staffManager.recruit.action.delete' | translate}}"
               mbPrefixIcon="fal fa-trash-alt"></mb-button>
  </div>
</ng-template>
